<?
require_once('include/global.php');
require_once("include/diary_lib.php");
require_once('sadmin_conf.inc.php');

// check
    // KVE-2020 sql injection 취약점 개선
    $_GET['di_no'] = (int)del_injection_str($_GET['di_no']);
	if (!$_GET['di_no'] || !is_numeric($_GET['di_no']))
		msg('올바른 URL로 접근하여 주십시오');

// set
	$CFG['TITLE'] = '<b>메일서버관리</b> >> <b>공휴일 일정 관리</b> >> <b>공휴일 일정 수정</b>';


// data
	// get
		$row = db_get_row("
			SELECT
				*
			FROM
				".$TB['DIARY']."
			WHERE
				di_no='". $_GET['di_no'] . "' 
				AND d_no is null and m_no=0
			");
		if (!$row)
			msg("존재하지 않는 일정입니다.");

		// view
		$view = array();
		$view = setform_diary($row);

		// 구분
			$holiday_content_radio = radio_value('di_content', $view['di_content'], array('공휴일', '기념일'), array('공휴일', '기념일'), 0, 0, 1);

// skin view
	$CFG['ACTION'] = 'sadmin_holiday_list_mod_ok.php';
	nskinset('sadmin', 'sadmin_holiday_list_form.html');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>